# Awards Awards ## Gets all of the awards in the system. - [GET /awards/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/awards/listawards.md): This method will scan all awards and and return them to the caller. ## Creates a new award record that does not already exist. - [POST /awards/{tenantId}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/awards/createaward.md): This method will auto-generate an ID and create a new award. If an ID is specified for the award, an error will be thrown. ## Execute Batch Operations - [POST /awards/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/awards/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Creates a copy of an award, along with other associated records - [POST /awards/{tenantId}/clone](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/awards/cloneaward.md): Creates a copy of an award, along with other associated records ## Browse Open Awards for Portal - [GET /awards/{tenantId}/portal/browseOpen](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/awards/browseopenawardsforportal.md): Returns a list of open awards available/visible in the portal ## Searches for awards using predefined parameters - [POST /awards/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/awards/searchforawards.md): Searches for awards using predefined parameters ## Returns a list of records with the specified type_id - [GET /awards/{tenantId}/type/{type_id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/awards/listawardsbytypeid.md): Returns a list of records with the specified type_id ## Returns a award from the system by its ID. - [DELETE /awards/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/awards/deleteaward.md): This method will delete a award with the specified ID. ## Returns a award from the system by its ID. - [GET /awards/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/awards/getaward.md): This method will look up a award by the specified ID and return it back. ## Partially updates a award with the specified ID. - [PATCH /awards/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/awards/patchaward.md): This method will patch an existing award with the specified ID, using the HTTP PATCH specification. ## Updates a award with the specified ID. - [PUT /awards/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/awards/awards-v1/awards/updateaward.md): This method will update an existing award with the specified ID.